OGRE-Next: Ogre::ObjectAbstractNode Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ObjectAbstractNode Class Reference
Core » General

This specific abstract node represents a script object. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ObjectAbstractNode:
[legend]

## Public Member Functions
| ObjectAbstractNode (AbstractNode *ptr)
void | addVariable (const String &name)
AbstractNode * | clone () const override
| Returns a new AbstractNode which is a replica of this one.
String | getValue () const override
| Returns a string value depending on the type of the AbstractNode.
std::pair< bool, String > | getVariable (const String &name) const
const map< String, String >::type & | getVariables () const
void | setVariable (const String &name, const String &value)
Public Member Functions inherited from Ogre::AbstractNode
| AbstractNode (AbstractNode *ptr)
virtual | ~AbstractNode ()

## Public Attributes
bool | abstract
vector< String >::type | bases
AbstractNodeList | children
String | cls
uint32 | id
String | name
AbstractNodeList | overrides
AbstractNodeList | values
Public Attributes inherited from Ogre::AbstractNode
Any | context
String | file
unsigned int | line
AbstractNode * | parent
AbstractNodeType | type

## Detailed Description

This specific abstract node represents a script object.

## Constructor & Destructor Documentation

## ◆ ObjectAbstractNode()

Ogre::ObjectAbstractNode::ObjectAbstractNode | ( | AbstractNode * | ptr | ) |

References Ogre::AbstractNode::AbstractNode().

## Member Function Documentation

## ◆ addVariable()

void Ogre::ObjectAbstractNode::addVariable | ( | const String & | name | ) |

References name.

## ◆ clone()

AbstractNode * Ogre::ObjectAbstractNode::clone | ( |  | ) | const
| overridevirtual

Returns a new AbstractNode which is a replica of this one.

Implements Ogre::AbstractNode.

References Ogre::AbstractNode::AbstractNode().

## ◆ getValue()

String Ogre::ObjectAbstractNode::getValue | ( |  | ) | const
| overridevirtual

Returns a string value depending on the type of the AbstractNode.

Implements Ogre::AbstractNode.

## ◆ getVariable()

std::pair< bool, String > Ogre::ObjectAbstractNode::getVariable | ( | const String & | name | ) | const

References name.

## ◆ getVariables()

const map< String, String >::type & Ogre::ObjectAbstractNode::getVariables | ( |  | ) | const

## ◆ setVariable()

void Ogre::ObjectAbstractNode::setVariable | ( | const String & | name,
|  | const String & | value )

References name.

## Member Data Documentation

## ◆ abstract

bool Ogre::ObjectAbstractNode::abstract

## ◆ bases

vector<String>::type Ogre::ObjectAbstractNode::bases

## ◆ children

AbstractNodeList Ogre::ObjectAbstractNode::children

## ◆ cls

String Ogre::ObjectAbstractNode::cls

## ◆ id

uint32 Ogre::ObjectAbstractNode::id

## ◆ name

String Ogre::ObjectAbstractNode::name

Referenced by addVariable(), getVariable(), and setVariable().

## ◆ overrides

AbstractNodeList Ogre::ObjectAbstractNode::overrides

## ◆ values

AbstractNodeList Ogre::ObjectAbstractNode::values

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h